aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo.zacarias@free-electrons.com>2016-09-14 21:46:29 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2016-09-16 19:01:39 +0200
commite9ffb3b8f71f44703d09059363dce7e3d3ff2e7e (patch)
tree8696c0c42db542d756c83e1627a1989397d271d0
parentc8301c4fe3aaed3c7df33ac1e8d7bf8dc0cf6c54 (diff)
downloadbuildroot-e9ffb3b8f71f44703d09059363dce7e3d3ff2e7e.tar.gz
buildroot-e9ffb3b8f71f44703d09059363dce7e3d3ff2e7e.tar.bz2
breakpad: enable for uClibc
There's nothing holding it off for uClibc-based toolchains so enable it. Signed-off-by: Gustavo Zacarias <gustavo.zacarias@free-electrons.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rw-r--r--Config.in3
-rw-r--r--package/google-breakpad/Config.in8
2 files changed, 7 insertions, 4 deletions
diff --git a/Config.in b/Config.in
index 6db36b926c..dcd15e883a 100644
--- a/Config.in
+++ b/Config.in
@@ -553,7 +553,8 @@ config BR2_GOOGLE_BREAKPAD_ENABLE
bool "Enable google-breakpad support"
select BR2_PACKAGE_GOOGLE_BREAKPAD
depends on BR2_INSTALL_LIBSTDCPP
- depends on BR2_TOOLCHAIN_USES_GLIBC
+ depends on BR2_USE_WCHAR
+ depends on (BR2_TOOLCHAIN_USES_GLIBC || BR2_TOOLCHAIN_USES_UCLIBC)
depends on BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS
help
This option will enable the use of google breakpad, a library
diff --git a/package/google-breakpad/Config.in b/package/google-breakpad/Config.in
index 7b8eeb1a3e..fdaab7a665 100644
--- a/package/google-breakpad/Config.in
+++ b/package/google-breakpad/Config.in
@@ -6,7 +6,8 @@ config BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS
config BR2_PACKAGE_GOOGLE_BREAKPAD
bool "google-breakpad"
depends on BR2_INSTALL_LIBSTDCPP
- depends on BR2_TOOLCHAIN_USES_GLIBC
+ depends on BR2_USE_WCHAR
+ depends on (BR2_TOOLCHAIN_USES_GLIBC || BR2_TOOLCHAIN_USES_UCLIBC)
depends on BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS
help
Google-Breakpad is a library and tool suite that allows you
@@ -29,6 +30,7 @@ config BR2_PACKAGE_GOOGLE_BREAKPAD
http://code.google.com/p/google-breakpad/
-comment "google-breakpad requires a glibc toolchain w/ C++ enabled"
+comment "google-breakpad requires a glibc or uClibc toolchain w/ wchar, C++ enabled"
depends on BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS
- depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_USES_GLIBC
+ depends on !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR || \
+ !(BR2_TOOLCHAIN_USES_GLIBC || BR2_TOOLCHAIN_USES_UCLIBC)